#include<cstdio>
using namespace std;
int n,k,x,num;

void Subtask1() {
    if (n==3) printf("1 %d %d\n", 1+x, 1+x+x);
    else {
        printf("1 1 1 %d ", 1+x);
        for (int i=5;i<=n;i++) printf("2 ");
        printf("\n");
    }
}

void Subtask2() {
    if (k==0 || k==1 || k==2) printf("-1\n");
    else {
        printf("1 %d %d ", 1+x, 2+x+x);
        for (int i=4;i<=n;i++) printf("2 ");
        printf("\n");
    }
}

int main() {
    scanf("%d %d %d", &n, &k, &x);

    if (k==3) Subtask1();
    else if (n==k) Subtask2();

    return 0;
}